package com.fs.survey.service;

import java.util.List;
import com.fs.survey.domain.SurveyTaskPeriod;
import com.fs.survey.dto.PeriodDataDto;

/**
 * 问卷任务期次Service接口
 * 
 * @author fs
 * @date 2026-02-06
 */
public interface ISurveyTaskPeriodService 
{
    /**
     * 查询问卷任务期次
     * 
     * @param id 问卷任务期次主键
     * @return 问卷任务期次
     */
    public SurveyTaskPeriod selectSurveyTaskPeriodById(Long id);

    /**
     * 查询问卷任务期次列表
     * 
     * @param surveyTaskPeriod 问卷任务期次
     * @return 问卷任务期次集合
     */
    public List<SurveyTaskPeriod> selectSurveyTaskPeriodList(SurveyTaskPeriod surveyTaskPeriod);

    /**
     * 新增问卷任务期次
     * 
     * @param surveyTaskPeriod 问卷任务期次
     * @return 结果
     */
    public int insertSurveyTaskPeriod(SurveyTaskPeriod surveyTaskPeriod);

    /**
     * 修改问卷任务期次
     * 
     * @param surveyTaskPeriod 问卷任务期次
     * @return 结果
     */
    public int updateSurveyTaskPeriod(SurveyTaskPeriod surveyTaskPeriod);

    /**
     * 批量删除问卷任务期次
     * 
     * @param ids 需要删除的问卷任务期次主键集合
     * @return 结果
     */
    public int deleteSurveyTaskPeriodByIds(Long[] ids);

    /**
     * 删除问卷任务期次信息
     * 
     * @param id 问卷任务期次主键
     * @return 结果
     */
    public int deleteSurveyTaskPeriodById(Long id);

    List<SurveyTaskPeriod> selectSurveyTaskPeriodListByTaskId(Long taskId);

    void deleteSurveyTaskPeriodByTaskId(Long taskId);

    PeriodDataDto getPeriodData(Long taskId);

    Long getPeriodNum(Long taskId);
}
